%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           fas-planet
Version:        0.1
Release:        1%{?dist}
Summary:        FAS2 Planet Plugin

Group:          Applications/Internet
License:        GPLv2
#URL:            
Source0:        %{name}-%{version}.tar.bz2
Patch0:         fas-planet-0.1-setup.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-setuptools-devel
Requires:       fas >= 0.8.4.2

%description
This plugin adds an option to FAS2 to allow for user maintenance of Planet
entries.

%package        proc
Summary:        Script to read fas-planet data
Group:          Applications/Internet
Requires:       python-simplejson

%description    proc
This script reads the data from the fas-planet plugin and generates the
Planet configuration file.

%prep
%setup -q
%patch0 -p1 -b .setup

%build
cd fas-planet
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
pushd fas-planet
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT --install-data='%{_datadir}'
popd
install -m 0755 -D fasplanetproc $RPM_BUILD_ROOT%{_bindir}/fasplanetproc
 
%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING README fas-planet.sql
%{python_sitelib}/*

%files proc
%defattr(-,root,root,-)
%doc COPYING README
%{_bindir}/fasplanetproc

%changelog
* Thu Jul  3 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> 0.1-1
- Initial RPM release
